const getArrayOfNoDuplicateValue = (arr)=>[
        ...new Set(arr)
    ];
function hasDuplicateKeys(A, B) {
    const keysA = getArrayOfNoDuplicateValue(Object.keys(A));
    const keysB = getArrayOfNoDuplicateValue(Object.keys(B));
    const keysA_B = getArrayOfNoDuplicateValue([
        ...keysA,
        ...keysB
    ]);
    return keysA_B.length < keysA.length + keysB.length;
}
export { hasDuplicateKeys };
